package str.classtree.atermify;

import java.util.*;
import org.apache.bcel.classfile.*;
import org.apache.bcel.generic.*;
import aterm.*;
import static str.classtree.atermify.ATermifyUtil.*;
import str.aterm.ATermifier;
import static str.aterm.ATermUtil.*;

public class FieldATermifier implements ATermifier<Field>
{
  private static FieldAttributeATermifier _aattrs = new FieldAttributeATermifier();

  public ATerm convert(Field field)
  {
    return appl("Field",
      appl("AccessFlags", buildFieldFlags(field.getAccessFlags())),
      appl("Name", astring(field.getName())),
      buildFieldDescriptor(field),
      appl("Attributes", _aattrs.map(field.getAttributes()))
    );
  }
}
